[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCustomControlFilterEdit.ForceFilter

Applies a new Filter immediately without waiting for an idle state.

## Declaration

Source position: editbtn.pas line 276

`public function TCustomControlFilterEdit.ForceFilter(`
`AFilter: string`
`):string;`

## Function result

Returns the previous Filter value.

## Description

Calls the private ApplyFilter method to immediately apply the value in Filter using the ApplyFilterCore method in the implementation.